Loading...
Searching...
No Matches
nc_struct Struct Reference

`#include <nc.h>`

## Public Member Functions

nc_type & | ncRingType ()
nc_type | ncRingType () const
short & | FirstAltVar ()
short & | LastAltVar ()
short | FirstAltVar () const
short | LastAltVar () const
ideal & | SCAQuotient ()
CGlobalMultiplier * | GetGlobalMultiplier () const
CGlobalMultiplier *& | GetGlobalMultiplier ()
CFormulaPowerMultiplier * | GetFormulaPowerMultiplier () const
CFormulaPowerMultiplier *& | GetFormulaPowerMultiplier ()

## Data Fields

nc_type | type
matrix | C
matrix | D
matrix * | MT
matrix | COM
int * | MTsize
int | IsSkewConstant
nc_pProcs | p_Procs

## Private Attributes

union { |
struct { |
short | iFirstAltVar
short | iLastAltVar
ideal | idSCAQuotient
} | sca
} | data
CGlobalMultiplier * | m_Multiplier
CFormulaPowerMultiplier * | m_PowerMultiplier

## Detailed Description

Definition at line 67 of file nc.h.

## Member Function Documentation

## FirstAltVar() [1/2]

short & nc_struct::FirstAltVar | ( |  | ) |

inline

Definition at line 111 of file nc.h.

{ assume(ncRingType() == nc_exterior); return (data.sca.iFirstAltVar); };
nc_exterior
@ nc_exterior
Definition nc.h:21
assume
#define assume(x)
Definition mod2.h:389
nc_struct::ncRingType
nc_type & ncRingType()
Definition nc.h:108
nc_struct::data
union nc_struct::@223026067025112125326214064312250346164037262056 data

## FirstAltVar() [2/2]

short nc_struct::FirstAltVar | ( |  | ) | const

inline

Definition at line 116 of file nc.h.

{ assume(ncRingType() == nc_exterior); return (data.sca.iFirstAltVar); };

## GetFormulaPowerMultiplier() [1/2]

CFormulaPowerMultiplier *& nc_struct::GetFormulaPowerMultiplier | ( |  | ) |

inline

Definition at line 140 of file nc.h.

{ return (m_PowerMultiplier); };
nc_struct::m_PowerMultiplier
CFormulaPowerMultiplier * m_PowerMultiplier
Definition nc.h:126

## GetFormulaPowerMultiplier() [2/2]

CFormulaPowerMultiplier * nc_struct::GetFormulaPowerMultiplier | ( |  | ) | const

inline

Definition at line 137 of file nc.h.

{ return (m_PowerMultiplier); };

## GetGlobalMultiplier() [1/2]

CGlobalMultiplier *& nc_struct::GetGlobalMultiplier | ( |  | ) |

inline

Definition at line 133 of file nc.h.

{ return (m_Multiplier); };
nc_struct::m_Multiplier
CGlobalMultiplier * m_Multiplier
Definition nc.h:125

## GetGlobalMultiplier() [2/2]

CGlobalMultiplier * nc_struct::GetGlobalMultiplier | ( |  | ) | const

inline

Definition at line 130 of file nc.h.

{ return (m_Multiplier); };

## LastAltVar() [1/2]

short & nc_struct::LastAltVar | ( |  | ) |

inline

Definition at line 113 of file nc.h.

{ assume(ncRingType() == nc_exterior); return (data.sca.iLastAltVar ); };

## LastAltVar() [2/2]

short nc_struct::LastAltVar | ( |  | ) | const

inline

Definition at line 118 of file nc.h.

{ assume(ncRingType() == nc_exterior); return (data.sca.iLastAltVar ); };

## ncRingType() [1/2]

nc_type & nc_struct::ncRingType | ( |  | ) |

inline

Definition at line 108 of file nc.h.

{ return (type); };
nc_struct::type
nc_type type
Definition nc.h:69

## ncRingType() [2/2]

nc_type nc_struct::ncRingType | ( |  | ) | const

inline

Definition at line 109 of file nc.h.

{ return (type); };

## SCAQuotient()

ideal & nc_struct::SCAQuotient | ( |  | ) |

inline

Definition at line 121 of file nc.h.

{ assume(ncRingType() == nc_exterior); return (data.sca.idSCAQuotient); };

## Field Documentation

## C

matrix nc_struct::C

Definition at line 75 of file nc.h.

## COM

matrix nc_struct::COM

Definition at line 80 of file nc.h.

## D

matrix nc_struct::D

Definition at line 76 of file nc.h.

## [union]

union { ... } nc_struct::data

## IsSkewConstant

int nc_struct::IsSkewConstant

Definition at line 85 of file nc.h.

## m_Multiplier

CGlobalMultiplier* nc_struct::m_Multiplier

private

Definition at line 125 of file nc.h.

## m_PowerMultiplier

CFormulaPowerMultiplier* nc_struct::m_PowerMultiplier

private

Definition at line 126 of file nc.h.

## MT

matrix* nc_struct::MT

Definition at line 79 of file nc.h.

## MTsize

int* nc_struct::MTsize

Definition at line 81 of file nc.h.

## p_Procs

nc_pProcs nc_struct::p_Procs

Definition at line 144 of file nc.h.

## type

nc_type nc_struct::type

Definition at line 69 of file nc.h.

The documentation for this struct was generated from the following file:

- libpolys/polys/nc/nc.h